Register a webhook endpoint
POST
/webhooks
const url = 'https://apisandbox.puurk.com/webhooks';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"id":"example","partner_id":"example","url":"example","secret":"example","events":["example"],"active":true,"created_at":"2026-04-15T12:00:00Z","updated_at":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://apisandbox.puurk.com/webhooks \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "id": "example", "partner_id": "example", "url": "example", "secret": "example", "events": [ "example" ], "active": true, "created_at": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z" }'Register a new webhook endpoint
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Request body
Media typeapplication/json
object
id
string
partner_id
string
url
Destination URL for webhook deliveries
string
secret
Signing secret for webhook payloads
string
events
Event types this endpoint subscribes to
Array<string>
active
boolean
created_at
string format: date-time
updated_at
string format: date-time
Examplegenerated
{ "id": "example", "partner_id": "example", "url": "example", "secret": "example", "events": [ "example" ], "active": true, "created_at": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z"}Responses
Section titled “Responses”Webhook created
Media typeapplication/json
object
id
string
partner_id
string
url
Destination URL for webhook deliveries
string
secret
Signing secret for webhook payloads
string
events
Event types this endpoint subscribes to
Array<string>
active
boolean
created_at
string format: date-time
updated_at
string format: date-time
Examplegenerated
{ "id": "example", "partner_id": "example", "url": "example", "secret": "example", "events": [ "example" ], "active": true, "created_at": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z"}Invalid input
Unauthorized